1. Countries
Beach Day API
  • Beach Day API
    • Health
      • Health check
    • Beaches
      • List beaches
      • Get beach detail
      • Get scored beaches
      • Get beach rules
      • Get beach amenities
    • Conditions
      • List beach conditions
    • Tides
      • Get tide predictions
    • Countries
      • List available countries
        GET
    • Schemas
      • HealthResponse
      • ErrorResponse
      • BeachListItem
      • BeachListResponse
      • JsonBlob
      • BeachRule
      • BeachAmenity
      • BeachDetail
      • BeachConditionsItem
      • BeachConditionsResponse
      • BeachRulesResponse
      • BeachAmenitiesResponse
      • TidePrediction
      • TideResponse
      • CountryListResponse
      • CountryItem
  1. Countries

List available countries

GET
/countries/
Returns all countries with beach counts, ordered by count descending.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200
application/json
Country list
Bodyapplication/json

🟠401
🟠402
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://beachdayapi.com/v1/countries/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "count": 58,
    "results": [
        {
            "country": "United States",
            "beach_count": 3500
        },
        {
            "country": "Spain",
            "beach_count": 2488
        },
        {
            "country": "Italy",
            "beach_count": 1497
        },
        {
            "country": "France",
            "beach_count": 1324
        },
        {
            "country": "India",
            "beach_count": 480
        },
        {
            "country": "Brazil",
            "beach_count": 0
        },
        {
            "country": "Colombia",
            "beach_count": 0
        },
        {
            "country": "Uruguay",
            "beach_count": 0
        },
        {
            "country": "Ecuador",
            "beach_count": 0
        },
        {
            "country": "Chile",
            "beach_count": 0
        },
        {
            "country": "Peru",
            "beach_count": 0
        },
        {
            "country": "New Zealand",
            "beach_count": 698
        },
        {
            "country": "Thailand",
            "beach_count": 380
        },
        {
            "country": "China",
            "beach_count": 315
        },
        {
            "country": "Australia",
            "beach_count": 280
        },
        {
            "country": "Vietnam",
            "beach_count": 90
        },
        {
            "country": "Cambodia",
            "beach_count": 42
        },
        {
            "country": "Croatia",
            "beach_count": 0
        },
        {
            "country": "Greece",
            "beach_count": 0
        },
        {
            "country": "French Polynesia",
            "beach_count": 22
        },
        {
            "country": "New Caledonia",
            "beach_count": 63
        },
        {
            "country": "Fiji",
            "beach_count": 18
        },
        {
            "country": "Samoa",
            "beach_count": 21
        },
        {
            "country": "Tonga",
            "beach_count": 12
        },
        {
            "country": "Cook Islands",
            "beach_count": 8
        },
        {
            "country": "American Samoa",
            "beach_count": 3
        },
        {
            "country": "Tuvalu",
            "beach_count": 5
        },
        {
            "country": "Niue",
            "beach_count": 3
        },
        {
            "country": "Wallis and Futuna",
            "beach_count": 4
        },
        {
            "country": "Tokelau",
            "beach_count": 1
        },
        {
            "country": "Algeria",
            "beach_count": 301
        },
        {
            "country": "Seychelles",
            "beach_count": 105
        },
        {
            "country": "Comoros",
            "beach_count": 107
        },
        {
            "country": "Morocco",
            "beach_count": 58
        },
        {
            "country": "Egypt",
            "beach_count": 45
        },
        {
            "country": "Mauritius",
            "beach_count": 45
        },
        {
            "country": "Tunisia",
            "beach_count": 93
        },
        {
            "country": "Cape Verde",
            "beach_count": 62
        }
    ]
}
Modified at 2026-07-14 21:45:45
Previous
Get tide predictions
Next
HealthResponse
Built with